summaryrefslogtreecommitdiffstats
path: root/run_tests.sh
diff options
context:
space:
mode:
authorJoris Roovers <jroovers@cisco.com>2016-04-16 23:24:39 +0200
committerJoris Roovers <jroovers@cisco.com>2016-04-16 23:24:39 +0200
commitfef6833636e750ca88ae5768753a2772cc24ceaa (patch)
tree734d50accf669a187da4baade7a0c8f737e89c95 /run_tests.sh
parentcb6a7031b31ded0a6ba2830738c7b7145727dde7 (diff)
Pylint compliance
Gitlint now passes pylint validation. Currently only supported for python 2.7. We've added a .pylintrc to customize pylint's behavior for gitlint.
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/run_tests.sh b/run_tests.sh
index 41585f5..40543a3 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -63,6 +63,11 @@ run_git_check(){
gitlint
}
+run_lint_check(){
+ echo "Running pylint..."
+ pylint gitlint qa --rcfile=".pylintrc" -r n
+}
+
run_stats(){
echo "*** Code ***"
radon raw -s gitlint | tail -n 6
@@ -169,6 +174,11 @@ if [ $just_git -eq 1 ]; then
exit $?
fi
+if [ $just_lint -eq 1 ]; then
+ run_lint_check
+ exit $?
+fi
+
if [ $just_all_env -eq 1 ]; then
run_tests_in_all_env
exit $?